Subject: Re: [PATCH,RFC] ep93xx_eth: conversion to phylib framework

From: Herbert Valerio Riedel <[email-masked]>
Date: Sun, 24 Feb 2008 09:21:53 +0100

hello *

On Wed, 2007-11-21 at 11:54 -0600, Andy Fleming wrote:
> On Nov 16, 2007, at 03:38, Herbert Valerio Riedel wrote:
> 
> > Currently, the ep93xx_eth driver doesn't care about the PHY state,
> > but it should, in order to tell the MAC when full duplex operation is
> > required; failure to do so causes degraded performance on full duplex
> > links. This patch implements proper PHY handling via the phylib  
> > framework:
> >
> >  - clean up ep93xx_mdio_{read,write} to conform to ep93xx manual
> >  - convert ep93xx_eth driver to phylib framework
> >  - set full duplex bit in configuration of MAC when FDX link detected
> >  - convert to use print_mac()
> 
> Looks good to me.  My only comment is that we might want to have  
> support for checking preamble suppression support in the PHY Lib,  
> itself.
> 
> Acked-by: Andy Fleming <[email-masked]>

...as nothing happend for some months now just wondering, what I should
do next, to get this patch merged upstream :-)

cheers,
hvr